summaryrefslogtreecommitdiffstats
path: root/tests/drone-wait-objectstore.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/drone-wait-objectstore.sh')
-rwxr-xr-xtests/drone-wait-objectstore.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/drone-wait-objectstore.sh b/tests/drone-wait-objectstore.sh
index 7914d45bed1..7817d946682 100755
--- a/tests/drone-wait-objectstore.sh
+++ b/tests/drone-wait-objectstore.sh
@@ -12,6 +12,12 @@ function get_swift_token() {
fi
}
+if [ "$OBJECT_STORE" == "s3" ]; then
+ echo "Waiting for minio to be ready"
+ timeout 60 bash -c 'while [[ "$(curl -s -o /dev/null -w ''%{http_code}'' http://minio:9000)" != "403" ]]; do sleep 5; done' || (
+ echo "Failed to wait for minio to be ready" && exit 1
+ )
+fi
if [ "$OBJECT_STORE" == "swift" ]; then
echo "waiting for keystone"
until get_swift_token